Subject: Re: ixgbe unstable performance at 1Gb/s

From: Charles Vejnar <[email-masked]>
Date: Wed, 26 Sep 2012 20:33:04 +0200

Le 25/09/2012 19:58, Tantilov, Emil S a écrit :
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On
>> Behalf Of Charles
>> Sent: Monday, September 24, 2012 10:47 AM
>> To: [email-masked]
>> Subject: ixgbe unstable performance at 1Gb/s
>>
>> Hi,
>>
>> I hope I am posting on the right mailing-list. If not, sorry; please
>> redirect me
>> to the right place. Thanks.
>>
>> I have a new motherboard with integrated Intel X540 10GBase-T. For now, I
>> want
>> to use it at 1Gb/s.
>>
>> The bandwidth is only of ~300 Mbit/s (with Iperf). It's actually very
>> unstable
>> (always varies between 100 to 800 Mbit/s during the transfer).
> Do you by any chance have CONFIG_IXGBE_PTP set in your kernel config?
>
> If so, try disabling it and see if it fixes your performance.
>
> Thanks,
> Emil
>
Hi,

Thanks for your reply.

I compiled manually the ixgbe module with the default options of my 
distribution (Archlinux). I had the same problem.

I then changed the CONFIG_IXGBE_PTP to no (default is yes) as you 
suggested, and recompiled. The problem disappeared; normal transfer.

Could you please explain why this PTP is causing a problem? How can this 
be fixed without having to recompile the module (ethtool, /sys, bios... 
)? Thanks

Regards,

Charles